# Kirki Customizer Framework #
**Contributors:** [aristath](https://profiles.wordpress.org/aristath), [dannycooper](https://profiles.wordpress.org/dannycooper), [wplemon](https://profiles.wordpress.org/wplemon), [igmoweb](https://profiles.wordpress.org/igmoweb)  
**Tags:** customizer, options framework, theme, mods, toolkit, gutenberg  
**Donate link:** https://aristath.github.io/donate  
**Requires at least:** 4.9  
**Tested up to:** 5.2  
**Stable tag:** 3.0.44  
**License:** MIT  
**License URI:** https://opensource.org/licenses/MIT  

The ultimate framework for theme developers using the WordPress Customizer


## Description ##

[![Build Status](https://travis-ci.org/aristath/kirki.svg?branch=develop)](https://travis-ci.org/aristath/kirki) [![Code Climate](https://codeclimate.com/github/aristath/kirki/badges/gpa.svg)](https://codeclimate.com/github/aristath/kirki) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![Codacy Badge](https://api.codacy.com/project/badge/Grade/66d6d8b6a4654cd18686ed1cd9f1bfb3)](https://www.codacy.com/app/aristath/kirki?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=aristath/kirki&amp;utm_campaign=Badge_Grade) [![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/aristath/kirki/badges/quality-score.png?b=develop)](https://scrutinizer-ci.com/g/aristath/kirki/?branch=develop)

Using Kirki theme developers can create rich experiences for the WordPress Customizer using best coding practices.

Included are more than 30 custom control types ranging from simple sliders to complex typography controls with Google-Fonts integration, automatic CSS generation, `postMessage` scripts automatically generated, tooltips and a lot of extras that make developing themes a lot faster for developers and meaningful for users.

### Control Types ###

* [Background Customizer Control](https://kirki.org/docs/controls/background)
* [Checkbox Customizer Control](https://kirki.org/docs/controls/checkbox)
* [Code Customizer Control](https://kirki.org/docs/controls/code)
* [Color Palette Customizer Control](https://kirki.org/docs/controls/color-palette)
* [Color Customizer Control](https://kirki.org/docs/controls/color)
* [Custom Customizer Control](https://kirki.org/docs/controls/custom)
* [Dashicons Customizer Control](https://kirki.org/docs/controls/dashicons)
* [Date Customizer Control](https://kirki.org/docs/controls/date)
* [Dropdown Pages Customizer Control](https://kirki.org/docs/controls/dropdown-pages)
* [Editor Customizer Control](https://kirki.org/docs/controls/editor)
* [Generic Customizer Control](https://kirki.org/docs/controls/generic)
* [Image Customizer Control](https://kirki.org/docs/controls/image)
* [Link Customizer Control](https://kirki.org/docs/controls/link)
* [Multiple Checkbox Customizer Control](https://kirki.org/docs/controls/multicheck)
* [Multicolor Customizer Control](https://kirki.org/docs/controls/multicolor)
* [Number Customizer Control](https://kirki.org/docs/controls/number)
* [Radio Buttonset Customizer Control](https://kirki.org/docs/controls/radio-buttonset)
* [Radio Image Customizer Control](https://kirki.org/docs/controls/radio-image)
* [Radio Customizer Control](https://kirki.org/docs/controls/radio)
* [Repeater Customizer Control](https://kirki.org/docs/controls/repeater)
* [Select Customizer Control](https://kirki.org/docs/controls/select)
* [Slider Customizer Control](https://kirki.org/docs/controls/slider)
* [Sortable Customizer Control](https://kirki.org/docs/controls/sortable)
* [Spacing Customizer Control](https://kirki.org/docs/controls/spacing)
* [Switch Customizer Control](https://kirki.org/docs/controls/switch)
* [Text Customizer Control](https://kirki.org/docs/controls/text)
* [Textarea Customizer Control](https://kirki.org/docs/controls/textarea)
* [Toggle Customizer Control](https://kirki.org/docs/controls/toggle)
* [Typography Customizer Control](https://kirki.org/docs/controls/typography)
* [Upload Customizer Control](https://kirki.org/docs/controls/upload)

Premium controls are also available for premium themes:

* [Kirki WCAG Text Colorpicker](https://wplemon.com/downloads/kirki-wcag-text-colorpicker/)
* [Kirki WCAG Links Colorpicker](https://wplemon.com/downloads/kirki-wcag-link-colorpicker/)
* [Kirki Box Model](https://wplemon.com/downloads/kirki-box-model/)
* [Kirki Box Shadow](https://wplemon.com/downloads/kirki-box-shadow/)

All premium controls are also [available as a pack](https://wplemon.com/downloads/kirki-premium-controls-pack/)

Theme developers should be familiar with the Customizer API before you start writing your theme using Kirki. An excellent handbook for the WordPress Customizer can be found on the [developer.wordpress.org](https://developer.wordpress.org/themes/customize-api/) website.

You can find detailed documentation on how to use Kirki on [kirki.org](https://kirki.org)

[Development and issues on Github](https://github.com/aristath/kirki).

## Installation ##

Simply install as a normal WordPress plugin and activate.

If you want to integrate Kirki in your theme or plugin, please read the instructions on [our documentation site](https://kirki.org/docs/integration).

## Changelog ##

### 3.0.34 ###

Jun.25 2019, dev time: 30m

* Fix: Google fonts getting constantly downloaded when `WP_DEBUG` was set to `true`

[See the previous changelogs here](https://github.com/aristath/kirki/blob/master/CHANGELOG.md).
